JarJarTask
Date: 2016-07-04

com.tonicsystems.jarjar

## Class JarJarTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.apache.tools.ant.taskdefs.Zip
        - - org.apache.tools.ant.taskdefs.Jar
          - - com.tonicsystems.jarjar.util.AntJarProcessor
            - - com.tonicsystems.jarjar.JarJarTask

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

      public class JarJarTask
      extends AntJarProcessor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Jar

      `org.apache.tools.ant.taskdefs.Jar.FilesetManifestConfig, org.apache.tools.ant.taskdefs.Jar.StrictMode`

    - ### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Zip

      `org.apache.tools.ant.taskdefs.Zip.ArchiveState, org.apache.tools.ant.taskdefs.Zip.Duplicate, org.apache.tools.ant.taskdefs.Zip.UnicodeExtraField, org.apache.tools.ant.taskdefs.Zip.WhenEmpty, org.apache.tools.ant.taskdefs.Zip.Zip64ModeAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarJarTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredKeep(Keep keep)`
    `void` | `addConfiguredRule(Rule rule)`
    `void` | `addConfiguredZap(Zap zap)`
    `void` | `execute()`

    - ### Methods inherited from class com.tonicsystems.jarjar.util.AntJarProcessor

      `execute, reset, setFilesonly, setVerbose`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Jar

      `addConfiguredIndexJars, addConfiguredManifest, addConfiguredService, addMetainf, setFilesetmanifest, setFlattenAttributes, setIndex, setIndexMetaInf, setJarfile, setManifest, setManifestEncoding, setMergeClassPathAttributes, setStrict, setWhenempty, setWhenmanifestonly`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Zip

      `add, addFileset, addZipfileset, addZipGroupFileset, executeMain, getComment, getCreateUnicodeExtraFields, getDestFile, getEncoding, getFallBackToUTF8, getLevel, getPreserve0Permissions, getUseLanguageEnodingFlag, getZip64Mode, isCompress, isInUpdateMode, setBasedir, setComment, setCompress, setCreateUnicodeExtraFields, setDestFile, setDuplicate, setEncoding, setFallBackToUTF8, setFile, setKeepCompression, setLevel, setPreserve0Permissions, setRoundUp, setUpdate, setUseLanguageEncodingFlag, setZip64Mode, setZipfile`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JarJarTask

          public JarJarTask()

  - ### Method Detail

    - #### addConfiguredRule

          public void addConfiguredRule(Rule rule)

    - #### addConfiguredZap

          public void addConfiguredZap(Zap zap)

    - #### addConfiguredKeep

          public void addConfiguredKeep(Keep keep)

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Specified by:
        `execute` in class `AntJarProcessor`
      Throws:
        `org.apache.tools.ant.BuildException`